> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Project Tags



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/project-tags
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/project-tags:
    post:
      tags:
        - Project Tags
      summary: Create Project Tags
      operationId: ProjectTagsController_create_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateProjectTagDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProjectTagResponseDto'
components:
  schemas:
    CreateProjectTagDto:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 200
        color:
          default: grey
          type: string
          enum:
            - grey
            - blue
            - green
            - yellow
            - purple
            - pink
            - cyan
            - red
      required:
        - name
      additionalProperties: false
    ProjectTagResponseDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        color:
          enum:
            - grey
            - blue
            - green
            - yellow
            - purple
            - pink
            - cyan
            - red
          type: string
      required:
        - id
        - name
        - color

````